<ng-container *appVar="(account$ | async) as account">
  <ng-container *ngIf="account">
    <app-page [title]="currencyTitlesNameMap[account.currency]"
              [showBackButton]="true"
              (backButtonClicked)="handleBackButtonClick()"
    >
      <button mat-icon-button
              [matMenuTriggerFor]="menu"
              topActions>
        <mat-icon>more_vert</mat-icon>
      </button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item [disabled]="true">
          <mat-icon>close</mat-icon>
          <span>Закрыть счёт</span>
        </button>
      </mat-menu>

      <div class="top">
        <div class="label sub-title">Курс обмена</div>

        <div class="value title m-t-8">
          {{ exchangeRate$ | async | appCurrency: "RUB" }}
        </div>

        <ng-container *appVar="(chartData$ | async) as chartData">
          <app-candlestick-chart [data]="chartData">
          </app-candlestick-chart>
        </ng-container>

        <div class="graph-controls">
          <mat-button-toggle-group name="viewInterval">
            <mat-button-toggle value="bold">1м</mat-button-toggle>
            <mat-button-toggle value="italic">1ч</mat-button-toggle>
            <mat-button-toggle value="underline">1д</mat-button-toggle>
            <mat-button-toggle value="underline">1н</mat-button-toggle>
          </mat-button-toggle-group>
        </div>
      </div>

      <div class="title m-t-24">
        На счету
      </div>

      <div class="account-balance-info m-t-24">
        <div class="balance">
          <div class="label sub-title">Валюта</div>

          <div class="value title m-t-8">
            {{ account.balance | appCurrency: account.currency }}
          </div>
        </div>

        <div class="balance">
          <div class="label sub-title">
            В рублях
          </div>

          <div class="value title m-t-8">
            {{ account.rubBalance | appCurrency: 'RUB' }}
          </div>
        </div>
      </div>

      <div class="actions m-t-24">
        <button type="submit"
                mat-flat-button
                [disabled]="isLoading$ | async"
                (click)="sell()"
                color="primary"
                class="fancy-button sell"
        >
            <span class="sub-title">
              Продать
            </span>
        </button>

        <button type="submit"
                mat-flat-button
                [disabled]="isLoading$ | async"
                (click)="buy()"
                color="primary"
                class="fancy-button buy"
        >
            <span class="sub-title">
              Купить
            </span>
        </button>
      </div>
    </app-page>
  </ng-container>
</ng-container>
